package com.hssx.bms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-10-16
 */
public class BookCategory extends Model<BookCategory> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("book_id")
    private String bookId;

    /**
     * 排序章节
     */
    @TableField("rank")
    private Integer rank;

    /**
     * 条目名称
     */
    @TableField("name")
    private String name;

    /**
     * 对应页码
     */
    @TableField("page_num")
    private Integer pageNum;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }

    public Integer getRank() {
        return rank;
    }

    public void setRank(Integer rank) {
        this.rank = rank;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "BookCategory{" +
        "id=" + id +
        ", bookId=" + bookId +
        ", rank=" + rank +
        ", name=" + name +
        ", pageNum=" + pageNum +
        "}";
    }
}
