package com.hssx.bms.service;

import com.hssx.bms.entity.InstitutionalInformation;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hssx.bms.entity.SystemUser;
import com.hssx.bms.entity.vo.InstitutionalInformationVO;
import com.hssx.bms.until.HttpRespMsg;
import com.hssx.bms.until.PageUtil;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-10-15
 */
public interface InstitutionalInformationService extends IService<InstitutionalInformation> {

    HttpRespMsg add(InstitutionalInformationVO institutionalInformationVO);

    HttpRespMsg updateInstitutionalInformation(InstitutionalInformation institutionalInformation,MultipartFile file);

    HttpRespMsg getInstitutionList(PageUtil page);

    HttpRespMsg getInstitutionDetail(InstitutionalInformation information);

    HttpRespMsg addAccount(SystemUser systemUser);

    HttpRespMsg deleteById(InstitutionalInformation information);

    HttpRespMsg getInstitutionAccountList(PageUtil page);

    HttpRespMsg createAccountforlist();

    HttpRespMsg delAccount(SystemUser user);
}
