package com.hssx.bms.entity.vo;
import com.hssx.bms.entity.InstitutionalInformation;
import com.hssx.bms.entity.InstitutionalPic;
import lombok.Data;
import java.util.ArrayList;
import java.util.List;

/**
 * Author: 吴涛涛 cuiyi@itany.com
 * Date : 2019 - 10 - 15 15:12
 * Description:<描述>
 * Version: 1.0
 */
@Data
public class InstitutionalInformationVO extends InstitutionalInformation {
    /**
     * 账号
     */
    private String account;

    /**
     * 密码
     */
    private String password;

    /**
     * 角色
     */
    private String roleName;

    /**
     * 角色类型0-管理员 1-机构
     */
    private Integer roleType;

    List<InstitutionalPic> pics = new ArrayList<>();
}
