package com.hssx.bms.service;

import com.hssx.bms.entity.Book;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hssx.bms.until.HttpRespMsg;
import com.hssx.bms.until.PageUtil;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-10-16
 */
public interface BookService extends IService<Book> {

    HttpRespMsg addOrUpdateBook(Book book, MultipartFile file);

    HttpRespMsg getList(PageUtil page);

    HttpRespMsg del(String id);

    HttpRespMsg getBookDetailById(String id);
}
