package com.hssx.bms.service.impl;

import com.hssx.bms.entity.BookCategory;
import com.hssx.bms.mapper.BookCategoryMapper;
import com.hssx.bms.service.BookCategoryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hssx.bms.until.HttpRespMsg;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-10-16
 */
@Service
public class BookCategoryServiceImpl extends ServiceImpl<BookCategoryMapper, BookCategory> implements BookCategoryService {
    @Resource
    private BookCategoryMapper bookCategoryMapper;

    @Override
    public HttpRespMsg addOrUpdateRank(BookCategory bookCategory) {
        HttpRespMsg msg = new HttpRespMsg();
        if(null != bookCategory.getId()){
            bookCategoryMapper.updateById(bookCategory);
            msg.data = bookCategory;
        }else{
            bookCategoryMapper.insert(bookCategory);
            msg.data = bookCategory;
        }
        return msg;
    }
}
