package com.hssx.bms.until;

import net.lingala.zip4j.core.ZipFile;
import net.lingala.zip4j.exception.ZipException;
import net.lingala.zip4j.model.FileHeader;
import net.lingala.zip4j.model.ZipParameters;
import net.lingala.zip4j.util.Zip4jConstants;
import org.springframework.util.DigestUtils;

import java.io.*;
import java.text.ParseException;
import java.util.ArrayList;
import java.util.List;

import net.lingala.zip4j.*;

/**
 * Author: 吴涛涛 cuiyi@itany.com
 * Date : 2019 - 07 - 25 16:56
 * Description:<描述>MD5加密工具
 * Version: 1.0
 */
public class MD5Util {

    public static String getPassword(String password) {
        return DigestUtils.md5DigestAsHex(password.getBytes());
    }

    public static void main(String[] args) throws ParseException, ZipException {
        unZip4jDemo();
//        String a = "1.0.1";
//        String b = "1.0.2";
//        int i = b.compareTo(a);
//        int i1 = a.compareTo(b);
//        System.out.println(i+":"+i1);
//        System.out.println(MD5Util.getPassword("000000"));
//        zip4jDemo();

//        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
////        LocalDateTime parse = LocalDateTime.parse("2019-07-31T16:00:00.000Z", formatter);
//        System.out.println(parse);

//        String start = "2019-07-31T16:00:00.000Z".replace("Z", " UTC");//是空格+UTC
//        DateFormat df = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSS Z");
//        Date date1 = df.parse(start);
//        SimpleDateFormat df1 = new SimpleDateFormat ("EEE MMM dd HH:mm:ss Z yyyy", Locale.UK);
//        Date startDate = df1.parse(date1.toString());
//        System.out.println("date1.toString()"+date1.toString()+"=====startDate"+startDate);
//        String substring = "D:/mould/upload/".substring(0, "D:/mould/upload/".length() - "/upload/".length());
//        System.out.println("substring"+substring);
//        List<Integer>ids = new ArrayList<>();
//        ids.add(-1);
//        List<String> list1 = new ArrayList<String>();
//        List<String> list2 = new ArrayList<String>();
//        list1.add("g");
//        list1.add("s");
//        list1.add("a");
//        list1.add("f");
//        list2.add("g");
//        list2.add("c");
//        list2.add("b");
//        list2.add("a");
//        list1.retainAll(list2);
//        System.out.print(list1);
//        String password = "000000";
//        System.out.println(MD5Util.getPassword(password));
//        System.out.println(UUID.randomUUID().toString().replaceAll("-", ""));;


    }

//    public void zipDemo() {
//        //需要压缩的文件--包括文件地址和文件名
//        String[] path = {"D:\\666.jpg", "D:\\777.jpg"};
//        // 要生成的压缩文件地址和文件名称
//        String desPath = "D:\\new.zip";
//        File zipFile = new File(desPath);
//        ZipOutputStream zipStream = null;
//        FileInputStream zipSource = null;
//        BufferedInputStream bufferStream = null;
//        try {
//            //构造最终压缩包的输出流
//            zipStream = new ZipOutputStream(new FileOutputStream(zipFile));
//            for (int i = 0; i < path.length; i++) {
//                File file = new File(path[i]);
//                //将需要压缩的文件格式化为输入流
//                zipSource = new FileInputStream(file);
//                //压缩条目不是具体独立的文件，而是压缩包文件列表中的列表项，称为条目，就像索引一样
//                ZipEntry zipEntry = new ZipEntry(i + "2222.jpg");//"2222.jpg"是添加到压缩包里的源文件的名字加i是防止名字相同出错
//                //定位该压缩条目位置，开始写入文件到压缩包中
//                zipStream.putNextEntry(zipEntry);
//                //输入缓冲流
//                bufferStream = new BufferedInputStream(zipSource, 1024 * 10);
//                int read = 0;
//                //创建读写缓冲区
//                byte[] buf = new byte[1024 * 10];
//                while ((read = bufferStream.read(buf, 0, 1024 * 10)) != -1) {
//                    zipStream.write(buf, 0, read);
//                }
//            }
//
//        } catch (Exception e) {
//            e.printStackTrace();
//        } finally {
//            //关闭流
//            try {
//                if (null != bufferStream) bufferStream.close();
//                if (null != zipStream) zipStream.close();
//                if (null != zipSource) zipSource.close();
//            } catch (IOException e) {
//                e.printStackTrace();
//            }
//        }
//    }
//
    public static void zip4jDemo(){
//// 生成的压缩文件
        ZipFile zipFile = null;
        try {
            zipFile = new ZipFile("D:\\aa.zip");

        ZipParameters parameters = new ZipParameters();
        // 压缩方式
        parameters.setCompressionMethod(Zip4jConstants.COMP_DEFLATE);
        // 压缩级别
        parameters.setCompressionLevel(Zip4jConstants.DEFLATE_LEVEL_NORMAL);
        // 要打包的文件夹
        File currentFile = new File("D:\\666");
        File[] fs = currentFile.listFiles();
        // 遍历test文件夹下所有的文件、文件夹
        for (File f : fs) {
            if (f.isDirectory()) {
                zipFile.addFolder(f.getPath(), parameters);
            } else {
                zipFile.addFile(f, parameters);
            }
        }
            zipFile.addFolder("D:\\666", parameters);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    //解压demo
    public static void unZip4jDemo() throws ZipException {
        ZipFile zipFile = null;
        zipFile = new ZipFile("D:\\aa.zip");
        File[] unzip = unzip("D:\\aa.zip", "D:\\testaaa");
        for (File file : unzip) {
            System.out.println(file.getName());
        }

    }

    public static File [] unzip(String zip, String dest) throws ZipException {
        ZipFile zipFile = new ZipFile(zip);
        return unzip(zipFile.toString(), dest);
    }

    /**
     * 使用给定密码解压指定的ZIP压缩文件到当前目录
     * @param zip 指定的ZIP压缩文件
     * @param passwd ZIP文件的密码
     * @return  解压后文件数组
     * @throws ZipException 压缩文件有损坏或者解压缩失败抛出
     */
    public static File [] unzip(String zip) throws ZipException {
        File zipFile = new File(zip);
        File parentDir = zipFile.getParentFile();
        return unzip(zipFile.toString(), parentDir.getAbsolutePath());
    }

    /**
     * 使用给定密码解压指定的ZIP压缩文件到指定目录
     * <p>
     * 如果指定目录不存在,可以自动创建,不合法的路径将导致异常被抛出
     * @param zip 指定的ZIP压缩文件
     * @param dest 解压目录
     * @param passwd ZIP文件的密码
     * @return  解压后文件数组
     * @throws ZipException 压缩文件有损坏或者解压缩失败抛出
     */
    public static File [] unzip(File zipFile, String dest, String passwd) throws ZipException {
        ZipFile zFile = new ZipFile(zipFile);
        zFile.setFileNameCharset("GBK");
        if (!zFile.isValidZipFile()) {
            throw new ZipException("压缩文件不合法,可能被损坏.");
        }
        File destDir = new File(dest);
        if (destDir.isDirectory() && !destDir.exists()) {
            destDir.mkdir();
        }
        if (zFile.isEncrypted()) {
            zFile.setPassword(passwd.toCharArray());
        }
        zFile.extractAll(dest);

        List<FileHeader> headerList = zFile.getFileHeaders();
        List<File> extractedFileList = new ArrayList<File>();
        for(FileHeader fileHeader : headerList) {
            if (!fileHeader.isDirectory()) {
                extractedFileList.add(new File(destDir,fileHeader.getFileName()));
            }
        }
        File [] extractedFiles = new File[extractedFileList.size()];
        extractedFileList.toArray(extractedFiles);
        return extractedFiles;
    }
}
