export default {
    manage: {
        login: '/system/login', // 登录
    },
    pwd: {
        resetPwd: '/system/updatePwd' // 重置密码
    },
    agency: {
        list: '/institutional/list',
        detail: '/institutional/detail',
        add: '/institutional/add',
        edit: '/institutional/update',
        delete: '/institutional/deleteInformation',
        updatePic: '/institutional/updatePics',
        deletePic: '/institutional/delete'
    },
    book: {
        list: '/book/list',
        detail: '/book/detail',
        add: '/book/addOrUpdateBook',
        delete: '/book/del',
        uploadFile: '/book/addBookPage',
        fileList: '/book/bookPageList',
    },
    user: {
        reserList: '/userappointment/list',
        reserEdit: '/userappointment/acceptAndUpdateDate',
    },
    system: {
        list: '/institutional/accountList',
        addAccount: '/institutional/addAccount',
        delAccount: '/institutional/delAccount',
        agencyList: '/institutional/createAccountforlist',
    }
}